# Contributions to Lift by non-committers

From the beginning of the Lift project, Lift has had a very well
defined and restrictive Intellectual Property (IP) policy. All
code in the various Lift repositories was created exclusively
by committers who signed an IP assignment agreement (we adopted
the Plone IP assignment.) All Lift code was created exclusively
by the committers and the copyright in such code was assigned to
an entity that holds the Lift copyrights.

The reason for the IP assignment and the rigor was that, 6 years ago,
the way the law treated open source was not as clear. It was also
very important to demonstrate to corporate adopters of Lift that the
use of Lift was free of any potential litigation.

Times have changed:

* The GitHub model of pull requests is
prevalent and there have not been legal challenges that I'm aware of.
* Lift is a well accepted, well regarded framework and has not have
  any material acceptance issues related to Lift's code provenance.

So, as of November 12, 2012, the Lift committers have voted 21-0
to adopt a new contribution acceptance policy.

We will accept pull requests into the [Lift codebase](https://github.com/lift)
if the pull requests meet the following criteria:

* One or more of the following:
    * Documentation including ScalaDoc comments in code
    * Example code
    * Small changes, enhancements, or bug fixes to Lift's code
* Each pull request must include a signature at the bottom of the
  `/contributors.md` file.

I look forward to seeing how Lift will continue to grow with the new
contribution policy.

#### David Pollak ####


<hr>

By submitting this pull request which includes my name and email address
(the email address may be in a non-robot readable format), I agree that the
entirety of the contribution is my own original work, that there are no prior
claims on this work including, but not limited to, any agreements I may have with
my employer or other contracts, and that I license this work under
an [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.html) license.

### Name: ###
Gilberto T. Garcia Jr

### Email: ###
ggarcia at eureka dot inf dot br

### Name: ###
Marko Elezović

### Email: ###
marko at element dot hr

### Name: ###
Francis Rhys-Jones

### Email: ###
francis.rhys-jones at guardian dot co dot uk

### Name: ###
Gregory Flanagan

### Email: ###
gregmflanagan at gmail dot com

### Name: ###
Ali Salim Rashid

### Email: ###
a.rashid at zantekk dot com

### Name: ###
Jakub Czuchnowski

### Email: ###
jakub.czuchnowski at gmail dot com

## Name: ###
Alexandre Russel

### Email: ###
alexandre at russel dot fr

### Name: ###
Ali Salim Rashid

### Email: ###
a.rashid at zantekk dot com

### Name: ###
Kristof Jozsa

### Email: ###
kristof.jozsa at gmail dot com

### Name: ###
Matt Farmer

### Email: ###
matt at frmr dot me

### Name: ###
Chris Williams

### Email: ###
chris dot williams @ joulebug dot com

### Name: ###
Gregory Flanagan

### Email: ###
gregmflanagan at gmail dot com

### Name: ###
Chris Gaudreau

### Email: ###
webmaster at crystala dot net

### Name: ###
Olivier Bruchez

### Email: ###
olivier at bruchez dot org

### Name: ###
Taylor Leese

### Email: ###
tleese22 at gmail dot com

### Name: ###
Jon Hoffman

### Email: ###
jonhoffman at gmail dot com

### Name: ###
Will Palmeri

### Email: ###
wpalmeri at gmail dot com

### Name: ###
Austen Holmes

### Email: ###
austen dot holmes at gmail dot com

### Name: ###
Jon Hoffman

### Email: ###
jonhoffman at gmail dot com

###Name: ###
Will Palmeri

### Email: ###
wpalmeri at gmail dot com

### Name: ###
David Barri

### Email: ###
japgolly @@ gmail .. com

### Name: ###
Viktor Hedefalk

### Email: ###
hedefalk @@ gmail .. com

### Name: ###
Kenji Yoshida

### Email: ###
6b656e6a69 at gmail dot com

### Name: ###
Christopher Webster

### Email: ###
cwebster93 at gmail .. com

### Name: ###
Donald McLean

### Email: ###
dmclean62 @@ gmail .. com

### Name: ###
Vasya Novikov

### Email: ###
n1dr+cm3053lift@yaaandex.com (replace "aaa" with "a")

### Name: ###
Robert Freytag

### Email: ###
robertfreytag+lift at gmail .. com

### Name: ###
Mikhail Limansky

### Email: ###
mike.limansky at gmail dot com

### Name: ###
Aleksey Izmailov

### Email: ###
izmailoff at gmail dot com
